Search Gradle plugins

Version 0.6.8

Created 21 November 2018.

Xeno's Default Error Prone Settings

Using the plugins DSL:

plugins {
  id "com.xenoterracide.gradle.error-prone-defaults" version "0.6.8"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.com.xenoterracide.gradle:gradle-plugin-bundle:0.6.8"
  }
}

apply plugin: "com.xenoterracide.gradle.error-prone-defaults"

Using the plugins DSL:

plugins {
  id("com.xenoterracide.gradle.error-prone-defaults") version "0.6.8"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.com.xenoterracide.gradle:gradle-plugin-bundle:0.6.8")
  }
}

apply(plugin = "com.xenoterracide.gradle.error-prone-defaults")

Learn how to apply plugins to subprojects